Skip to main content
GET
Retrieve security history

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

fromTimestamp
integer<int64>

The start of the time range for the security activity in Unix timestamp format.

limit
integer<int32>

The maximum number of results to display per page.

toTimestamp
integer<int64>

The end of the time range for the security activity in Unix timestamp format.

userId
integer<int32>

The unique identifier of the user whose security activity you want to retrieve.

Response

successful operation

results
object[]
required

An array of hydrated critical actions, each containing detailed information about a specific critical action.

paging
object

Paging information for forward-only pagination. Contains the next page reference when more results are available; omitted or empty on the last page.

Last modified on September 9, 2026